std::exponential_distribution< _RealType > Class Template Reference
Numerics » Random Number Generation » Random Number Generators » Random Number Distributions » Uniform Distributions » Normal Distributions » Bernoulli Distributions » Poisson Distributions

## Classes

struct | param_type

## Public Types

typedef _RealType | result_type

## Public Member Functions

| exponential_distribution (const param_type &__p)
| exponential_distribution (const result_type &__lambda=result_type(1))
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
_RealType | lambda () const
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type | param () const
void | param (const param_type &__param)
void | reset ()

## Friends

bool | operator== (const exponential_distribution &__d1, const exponential_distribution &__d2)

## Detailed Description

### template<typename _RealType = double>
class std::exponential_distribution< _RealType >

An exponential continuous distribution for random numbers.

The formula for the exponential probability density function is .

Distribution Statistics
Mean |
Median |
Mode |
Range |
Standard Deviation |

Definition at line 4551 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc